Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.simpleAccesstracking
Class FrameHistory

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  scone.simpleAccesstracking.FrameHistory

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class FrameHistory
extends java.util.Vector

Keeps a history one Window/Frame of a Web-browser to amalyse the movements of the user.

Author:
  Harald Weinreich, Volkert Buchmann
See Also:
  Serialized Form

Field Summary
`static int` | `BACK`
`static int` | `FORWARD`
`static int` | `RELOAD`
`static int` | `REVISIT`

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FrameHistory()`

Method Summary
`protected void` | `addNewPage(SimpleUri su)`
`protected int` | `getPosition()`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Field Detail

### BACK

    public static final int BACK

See Also:
  Constant Field Values

### FORWARD

    public static final int FORWARD

See Also:
  Constant Field Values

### RELOAD

    public static final int RELOAD

See Also:
  Constant Field Values

### REVISIT

    public static final int REVISIT

See Also:
  Constant Field Values

Constructor Detail

### FrameHistory

    public FrameHistory()

Method Detail

### getPosition

    protected int getPosition()

### addNewPage

    protected void addNewPage(SimpleUri su)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD